/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"
#include <math.h>

/*
 * Percentual probability of magic fruit occurrence.
 * Set to 0 to have NO magic fruits.
 * Set to 100 to have ONLY magic fruits.
 */
#define MAGIC_FRUIT_PROBABILITY 8

/*
 * external functions 
 */
extern void draw_fruit_position (int y, int x);

/*
 * globals 
 */
fruit frt = {
  FRUIT,			/*
				 * type 
				 */
  {0, 0},			/*
				 * cell 
				 */
  0
};

void
init_fruit ()
{
  int value;
  int y, x;

  do
    {
      y = rand_between (0, ARENA_HEIGHT - 1);
      x = rand_between (0, ARENA_WIDTH - 1);
    }
  while (ARENAGET (y, x));

  frt.cell.y = y;
  frt.cell.x = x;

  if (rand_between (1, 100) <= MAGIC_FRUIT_PROBABILITY)
    value = '0';
  else
    value = rand_between (49, 57);	/*
					 * ascii 1 to 9 
					 */

  frt.value = value;

  draw_fruit_position (y, x);

  ARENAPUT (y, x, (sprite *) & frt);

}
