/*
 *    snake, a videogame derived from Q-Basic nibbles
 *    Copyright (C) 1999-2000 Cyberandro J.K. Starrik
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
#include "snake.h"
#include <string.h>		/* strcat */
#include <ctype.h>		/* tolower */

/*
 * public functions 
 */
void mini_menu (void);

/*
 * private functions 
 */
static char *score_string (void);

char *
score_string ()
{
  char str[32];
  static char scstr[256];
  int i;

  sprintf (scstr, "Scores: ");
  for (i = 0; zoo[i]; i++)
    {
      if (i)
	sprintf (str, " %i=%li", i, zoo[i]->score);
      else
	sprintf (str, "%i=%li", i, zoo[i]->score);
      strcat (scstr, str);
    }

  return scstr;
}


void
mini_menu ()
{
  int ch;
  static char menu[] =
    "[S]cores | [Q]uit | reset snake [#] | SPACE to continue";

  message ("%s", score_string ());
  updatescreen ();
  while (getch () == ERR);
  message ("");
  return;

  message ("%s", menu);
  updatescreen ();

  while (1)
    {
      if ((ch = getch ()) == ERR)
	continue;
      ch = tolower (ch);
      switch (ch)
	{
	case 's':
	  message ("%s", score_string ());
	  updatescreen ();
	  while (getch () == ERR);
	  message ("%s", menu);
	  updatescreen ();
	  break;

	case 'q':
	  finish ();

	case ' ':
	  message ("");
	  return;

	default:
	  return;

	}			/* switch (ch) */
    }				/* while (1) */
}
